Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.java
Class RunTimeCompiler

    java.lang.Object
      biouml.plugins.simulation.java.RunTimeCompiler

public class RunTimeCompiler
extends java.lang.Object

Class to compile generated Java models.

Nested Class Summary
`static class` | `RunTimeCompiler.ErrorOutputStream`

Field Summary
`protected java.lang.String` | `classpath`
`protected java.lang.String[]` | `files`
`protected static java.lang.Object` | `javac`
`static org.apache.log4j.Category` | `log`
`protected java.lang.String` | `outDir`
`protected RunTimeCompiler.ErrorOutputStream` | `outStream`
`protected java.lang.String` | `srcDir`

Constructor Summary
`RunTimeCompiler(java.lang.String classpath, java.lang.String srcDir, java.lang.String[] files)`

Method Summary
`boolean` | `execute()` Use introspection to not include javac into build classpath.
`java.lang.String[]` | `getArguments()`
`java.lang.String` | `getClasspath()`
`java.lang.String[]` | `getFiles()`
`java.lang.String` | `getMessages()`
`java.lang.String` | `getOutDir()`
`java.lang.String` | `getSrcDir()`
`void` | `setClasspath(java.lang.String classpath)`
`void` | `setFiles(java.lang.String[] files)`
`void` | `setOutDir(java.lang.String outDir)`
`void` | `setSrcDir(java.lang.String srcDir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Category log

### javac

    protected static java.lang.Object javac

### classpath

    protected java.lang.String classpath

### srcDir

    protected java.lang.String srcDir

### outDir

    protected java.lang.String outDir

### files

    protected java.lang.String[] files

### outStream

    protected RunTimeCompiler.ErrorOutputStream outStream

Constructor Detail

### RunTimeCompiler

    public RunTimeCompiler(java.lang.String classpath,
                           java.lang.String srcDir,
                           java.lang.String[] files)

Method Detail

### getClasspath

    public java.lang.String getClasspath()

### setClasspath

    public void setClasspath(java.lang.String classpath)

### getSrcDir

    public java.lang.String getSrcDir()

### setSrcDir

    public void setSrcDir(java.lang.String srcDir)

### getOutDir

    public java.lang.String getOutDir()

### setOutDir

    public void setOutDir(java.lang.String outDir)

### getFiles

    public java.lang.String[] getFiles()

### setFiles

    public void setFiles(java.lang.String[] files)

### getArguments

    public java.lang.String[] getArguments()

### execute

    public boolean execute()

  Use introspection to not include javac into build classpath.

### getMessages

    public java.lang.String getMessages()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.